1. CARD
Español
  • Español
  • English
  • Kushki Docs Colombia
  • Online Payments
    • CARD
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Create payment (tokenless)
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Bin Info V2
        GET
      • Verify Account
        POST
      • Reauthorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Validate OTP
        POST
      • Request deferred options
        GET
      • Bin Info
        GET
      • Refund a transaction
        DELETE
    • ANALYTICS
      • Get transactions list v1
      • Get transactions list v2
    • CARD-OUTS
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • TRANSFER IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • TRANSFER OUT
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Delete a cash in transaction
      • Transaction Status
    • CASH-OUT
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • COMMISSIONS
      • Get Commission Configuration
    • PAYMENT-BUTTON
      • Create a payment button
    • PAYMENT-CREDENTIALS
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Search credentials
      • Activate or deactivate
      • Update credential
      • Create a credential
    • SMARTLINKS-V2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • TRANSFER-OUT
      • Balance for Payouts
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
    • TRANSFER-IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • Request a recurring charge token
      • Update recurring charge card data
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Get subscription transactions
    • GATEWAY-STATUS
      • Get gateway status
      • Get platform status
  • Schemas
    • SubscriptionTransactionsResponse
    • Card
    • SubscriptionTransaction
    • currency
    • ErrorResponse
    • Amount
    • extraTaxes
    • Deferred
    • Metadata
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • product
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. CARD

Authorize payments

POST
/card/v1/preAuthorization
Use this endpoint to request an authorization using a token provided by Kushki.
You authorize a card payment when you want to verify that sufficient credit exists on a customer's credit card before processing a sale. The cardholder's credit limit will be reduced by the amount of the authorization until the authorization is captured or expires.
The authorization will expire after 28 days for credit cards and after 7 days for debit cards.
Product in beta version for Colombia 🔐👨‍💻
We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
NOTE: An authorization can be canceled through the Void a transaction endpoint. After performing the cancellation, no reauthorizations can be made on the canceled transaction.

Do you have your own 3DS authentication engine?#

WARNING
This functionality is available for the Acquirer model only.
Make sure you include the threeDomainSecure object in your request.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/card/v1/preAuthorization' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "QZPnSP1000000b3MG3062555GhIrcYt5",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 20000,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "fullResponse": "v2",
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    }
}'
Response Response Example
201 - fullResponse v2
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 59,
            "ice": 0,
            "iva": 0,
            "currency": "COP"
        },
        "approvalCode": "000000",
        "approvedTransactionAmount": 59,
        "binInfo": {
            "bank": "BANCOLOMBIA",
            "bindCard": "545195",
            "cardCountry": "Colombia",
            "lastFourDigits": "5480",
            "type": "credit"
        },
        "cardHolderName": "John Doe",
        "created": 1658360425000,
        "merchantId": "20000000105929933000",
        "merchantName": "Tu comercio Colombia",
        "paymentBrand": "Master Card",
        "processorBankName": "0032~BANCO INTERNACIONAL",
        "requestAmount": 59,
        "responseCode": "000",
        "responseText": "Transacción aprobada",
        "transactionId": "985906214634267722",
        "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669",
        "transactionStatus": "APPROVAL",
        "transactionType": "PREAUTHORIZATION"
    },
    "ticketNumber": 73884255559778900,
    "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669"
}
Modified at 2026-04-16 23:06:20
Previous
Create payment (tokenless)
Next
Capture an authorized payment
Built with